# Created by pyp2rpm-1.0.0
%global pypi_name pytest
%define version 2.3.5

Name:           python-test
Version:        %{version}
Release:        %mkrel 4
Group:          Development/Python
Summary:        py.test: simple powerful testing with Python

License:        MIT
URL:            http://pytest.org
Source0:        http://pypi.python.org/packages/source/p/pytest/pytest-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-setuptools
Requires:       python-py >= 1.4.13

%description
The `py.test`` testing tool makes it easy to write small tests, yet
scales to support complex functional testing.  It provides

- auto-discovery  of test modules and functions,
- detailed info on failing `assert statements

%package -n python3-test
Summary: %{summary} / Python 3 library
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires: python3-py >= 1.4.13

%description -n python3-test
The `py.test`` testing tool makes it easy to write small tests, yet
scales to support complex functional testing.  It provides

- auto-discovery  of test modules and functions,
- detailed info on failing `assert statements

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build doc/en html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

cd ..
cp -r %{pypi_name}-%{version} python3
cd -

%build
%{__python} setup.py build
cd ../python3
%{__python3} setup.py build
cd -

%install
cd ../python3
%{__python3} setup.py install --skip-build --root %{buildroot}
cd -

# default to python2 flavour of pytest
rm -f %{buildroot}%{_bindir}/py.test
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc html README.rst LICENSE CHANGELOG
%{_bindir}/py.test
%{_bindir}/py.test-%{pyver}
%{python_sitelib}/*

%files -n python3-test
%doc html README.rst LICENSE CHANGELOG
%{_bindir}/py.test-%{py3ver}
%{python3_sitelib}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.3.5-4.mga4
+ Revision: 544369
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.3.5-3.mga4
+ Revision: 499534
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 09 2013 fwang <fwang> 2.3.5-2.mga4
+ Revision: 440979
- fix br

* Sat Jun 08 2013 fwang <fwang> 2.3.5-1.mga4
+ Revision: 440587
- update file list
- update file list
- update file list
- new version 2.3.5
- build python3 flavour

* Sat Mar 30 2013 rtp <rtp> 2.3.4-3.mga3
+ Revision: 406704
- Add missing build requires not noticed due to the build script downloading it while
  building.

* Sun Jan 13 2013 umeabot <umeabot> 2.3.4-2.mga3
+ Revision: 379561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 joequant <joequant> 2.3.4-1.mga3
+ Revision: 329025
- imported package python-test

